Bug 1806055 - awscli 1.17.12 not installable on fedora 32+
Summary: awscli 1.17.12 not installable on fedora 32+
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: awscli
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Duncan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-21 21:40 UTC by Fabio Valentini
Modified: 2020-03-17 14:52 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-17 14:52:51 UTC
Type: Bug


Attachments (Terms of Use)

Description Fabio Valentini 2020-02-21 21:40:41 UTC
$ mock -r fedora-32-x86_64 install awscli

(...)

Error: 
 Problem: conflicting requests
  - nothing provides python3.8dist(botocore) = 1.14.12 needed by awscli-1.17.12-1.fc32.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)


python-botocore was recently updated to ... something other than 1.14.12. Such a restrictive version dependency seems not a good idea ...

Comment 1 David Duncan 2020-02-22 02:01:04 UTC
Thanks for the report. someone else decided to help update the package and it looks like there was a miss in the dependencies relax. I'll rebuild and handle it. There was a requirement to rebuild the boto3 package as well since they are also tightly linked. I'll work with the maintainer on that package to ensure that we are in lock-step.

Comment 2 David Duncan 2020-02-22 14:23:03 UTC
 updated build. https://koji.fedoraproject.org/koji/taskinfo?taskID=41777222 completed successfully. there was a mismatch between the python-botocore version and the awscli versions in f32. There is a required lockstep between the three backages python-botocore -> python-boto3 and python-botocore -> awscli  there is also a maintainer for awsshell and it can sometimes require later versions of the python libraries than the awscli on which it depends.

Comment 3 Fabio Valentini 2020-03-17 14:52:51 UTC
I think this issue has been fixed now. Thanks!


Note You need to log in before you can comment on or make changes to this bug.